<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.GnjWareHouseActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/main_toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimary"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">


        <LinearLayout
            android:id="@+id/tool_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center">

            <ImageView
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:src="@mipmap/left_icon"
                app:tint="@color/white" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|left"
                android:text="返回"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>


        <TextView
            android:id="@+id/title_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="国内进港仓库管理"
            android:textColor="@color/white"
            android:textSize="18sp" />


    </androidx.appcompat.widget.Toolbar>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <!--        搜索、列表页-->
        <LinearLayout
            android:id="@+id/searchListFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="visible">

            <!--            搜索 框 列表区域-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="@color/list_bg"
                android:orientation="vertical"
                android:padding="5dp">
                <!--        搜索框 区域-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:orientation="horizontal">
                    <!--运单号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="5"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/waybillNo"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/input_edit_text"
                            android:hint="请输入运单号"
                            android:imeOptions="actionDone"
                            android:gravity="center"
                            android:inputType="text"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text=""
                            android:textSize="15sp" />
                    </LinearLayout>

                    <!--            空格-->
                    <LinearLayout
                        android:layout_width="5dp"
                        android:layout_height="match_parent">
                    </LinearLayout>

                    <!--            代理人-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="5"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/agentCode"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:hint="请选择代理人"
                            android:inputType="text"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text=""
                            android:textSize="15sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="5dp"
                        android:layout_height="match_parent" />

                    <!--            承运人-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="5"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <EditText
                            android:id="@+id/carrier"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/input_edit_text"
                            android:hint="请输入承运人"
                            android:gravity="center"
                            android:imeOptions="actionDone"
                            android:inputType="text"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:text=""
                            android:textSize="15sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="5dp"
                        android:layout_height="match_parent" />
                    <!--            分组类型-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="5"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/isGroup"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center"
                            android:hint="请选择分组类型"
                            android:text=""
                            android:textSize="15sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="10dp"
                        android:layout_height="match_parent" />
                    <!--            搜索图标-->
                    <LinearLayout
                        android:id="@+id/searchLayout"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@mipmap/search"
                            app:tint="@color/colorPrimary" />
                    </LinearLayout>

                </LinearLayout>

                <!--列表-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1">

                    <com.scwang.smart.refresh.layout.SmartRefreshLayout
                        android:id="@+id/refreshLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.scwang.smart.refresh.header.ClassicsHeader
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/guo_nei_collect_list"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:overScrollMode="never" />

                        <com.scwang.smart.refresh.footer.ClassicsFooter
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

                </LinearLayout>
            </LinearLayout>


            <!--            汇总数据 区域-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="30dp"
                android:background="@color/dark_grey"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/summaryText"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="总票数：0，总件数：0，总重量：0"
                    android:textColor="@color/white"
                    android:textSize="20sp" />
            </LinearLayout>
        </LinearLayout>

    </FrameLayout>

</LinearLayout>